## propellor 0.8.2

=== Makefile ===
CABAL?=cabal

DEBDEPS=gnupg ghc cabal-install libghc-missingh-dev libghc-ansi-terminal-dev libghc-ifelse-dev libghc-unix-compat-dev libghc-hslogger-dev libghc-network-dev libghc-quickcheck2-dev libghc-mtl-dev libghc-monadcatchio-transformers-dev

run: deps build
	./propellor

dev: build tags

build: dist/setup-config
	if ! $(CABAL) build; then $(CABAL) configure; $(CABAL) build; fi
	ln -sf dist/build/propellor-config/propellor-config propellor

deps:
	@if [ $$(whoami) = root ]; then apt-get --no-upgrade --no-install-recommends -y install $(DEBDEPS) || (apt-get update && apt-get --no-upgrade --no-install-recommends -y install $(DEBDEPS)); fi || true
	@if [ $$(whoami) = root ]; then apt-get --no-upgrade --no-install-recommends -y install libghc-async-dev || (cabal update; cabal install async); fi || true

dist/setup-config: propellor.cabal
	if [ "$(CABAL)" = ./Setup ]; then ghc --make Setup; fi
	$(CABAL) configure

install:
	install -d $(DESTDIR)/usr/bin $(DESTDIR)/usr/src/propellor
	install -s dist/build/propellor/propellor $(DESTDIR)/usr/bin/propellor
	$(CABAL) sdist
	cat dist/propellor-*.tar.gz | \
		(cd $(DESTDIR)/usr/src/propellor && tar zx --strip-components=1)

clean:
	rm -rf dist Setup tags propellor privdata/local
	find -name \*.o -exec rm {} \;
	find -name \*.hi -exec rm {} \;

# hothasktags chokes on some template haskell etc, so ignore errors
# duplicate tags with Propellor.Property. removed from the start, as we
# often import qualified by just the module base name.
tags:
	find . | grep -v /.git/ | grep -v /tmp/ | grep -v /dist/ | grep -v /doc/ | egrep '\.hs$$' | xargs hothasktags | perl -ne 'print; s/Propellor\.Property\.//; print' | sort > tags  2>/dev/null

# Upload to hackage.
hackage:
	@cabal sdist
	@cabal upload dist/*.tar.gz

.PHONY: tags

=== debian/changelog ===
propellor (0.8.2) unstable; urgency=medium

  * Fix bug in File.containsLines that caused lines that were already in the
    file to sometimes be appended to the end.
  * Hostname.sane also configures /etc/mailname.
  * Fixed Postfix.satellite to really configure relayhost = smtp.domain.
  * Avoid reconfiguring postfix unncessarily when it already has a relayhost.
  * Deal with apache 2.4's change in the name of site-available config files.
  * Hostname aliases can now be used in several places, including --spin
    and Ssh.knownHost.

 -- Joey Hess <joeyh@debian.org>  Mon, 04 Aug 2014 01:12:19 -0400

propellor (0.8.1) unstable; urgency=medium

  * Run apt-get update in initial bootstrap.
  * --list-fields now includes a table of fields that are not currently set,
    but would be used if they got set.
  * Remove .gitignore from cabal file list, to avoid build failure on Debian.
    Closes: #754334

 -- Joey Hess <joeyh@debian.org>  Wed, 09 Jul 2014 22:11:31 -0400

propellor (0.8.0) unstable; urgency=medium

  * Completely reworked privdata storage. There is now a single file,
    and each host is sent only the privdata that its Properties actually use.

    To transition existing privdata, run propellor against a host and
    watch out for the red failure messages, and run the suggested commands
    to store the privdata using the new storage scheme. You may find
    it useful to run the old version of propellor to extract data from the old
    privdata files during this migration.

    Several properties that use privdata now require a context to be
    specified. If in doubt, you can use anyContext, or
    Context "hostname.example.com"

  * Add --edit to edit a privdata value in $EDITOR.
  * Add --list-fields to list all currently set privdata fields, along with
    the hosts that use them.
  * Fix randomHostKeys property to run openssh-server's postinst in a
    non-failing way.
  * Hostname.sane now cleans up the 127.0.0.1 localhost line in /etc/hosts,
    to avoid eg, apache complaining "Could not reliably determine the
    server's fully qualified domain name".

 -- Joey Hess <joeyh@debian.org>  Sun, 06 Jul 2014 18:28:08 -0400

propellor (0.7.0) unstable; urgency=medium

  * combineProperties no longer stops when a property fails; now it continues
    trying to satisfy all properties on the list before propigating the
    failure.
  * Attr is renamed to Info.
  * Renamed wrapper to propellor to make cabal installation of propellor work.
  * When git gpg signature of a fetched git branch cannot be verified,
    propellor will now continue running, but without merging in that branch.

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Jun 2014 10:06:40 -0400

propellor (0.6.0) unstable; urgency=medium

  * Docker containers now propagate DNS attributes out to the host they're
    docked in. So if a docker container sets a DNS alias, every container
    it's docked in will automatically be added to a DNS round-robin,
    when propellor is used to manage DNS for the domain.
  * Apt.stdSourcesList no longer needs a suite to be specified.
  * Added --dump to dump out a field of a host's privdata. Useful for editing
    it.
  * Propellor's output now includes the hostname being provisioned, or
    when provisioning a docker container, the container name.

 -- Joey Hess <joeyh@debian.org>  Thu, 05 Jun 2014 17:32:14 -0400

propellor (0.5.3) unstable; urgency=medium

  * Fix unattended-upgrades config for !stable.
  * Ensure that kernel hostname is same as /etc/hostname when configuring
    hostname.
  * Added modules for some hosting providers (DigitalOcean, CloudAtCost).

 -- Joey Hess <joeyh@debian.org>  Thu, 29 May 2014 14:29:53 -0400

propellor (0.5.2) unstable; urgency=medium

  * A bug that caused propellor to hang when updating a running docker
    container appears to have been fixed. Note that since it affects
    the propellor process that serves as "init" of docker containers,
    they have to be restarted for the fix to take effect.
  * Licence changed from GPL to BSD.
  * A few changes to allow building Propellor on OSX. One user reports
    successfully using it there.

 -- Joey Hess <joeyh@debian.org>  Sat, 17 May 2014 16:42:55 -0400

propellor (0.5.1) unstable; urgency=medium

  * Primary DNS servers now have allow-transfer automatically populated
    with the IP addresses of secondary dns servers. So, it's important
    that all secondary DNS servers have an ipv4 (and/or ipv6) property
    configured.
  * Deal with old ssh connection caching sockets.
  * Add missing build deps and deps. Closes: #745459

 -- Joey Hess <joeyh@debian.org>  Thu, 24 Apr 2014 18:09:58 -0400

propellor (0.5.0) unstable; urgency=medium

  * Removed root domain records from SOA. Instead, use RootDomain
    when calling Dns.primary.
  * Dns primary and secondary properties are now revertable.
  * When unattendedUpgrades is enabled on an Unstable or Testing system,
    configure it to allow the upgrades.
  * New website, https://propellor.branchable.com/

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Apr 2014 17:38:02 -0400

propellor (0.4.0) unstable; urgency=medium

  * Propellor can configure primary DNS servers, including generating
    zone files, which is done by looking at the properties of hosts
    in a domain.
  * The `cname` property was renamed to `alias` as it does not always
    generate CNAME in the DNS.
  * Constructor of Property has changed (use `property` function instead).
  * All Property combinators now combine together their Attr settings.
    So Attr settings can be made inside a propertyList, for example.
  * Run all cron jobs under chronic from moreutils to avoid unnecessary
    mails.

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Apr 2014 02:09:56 -0400

propellor (0.3.1) unstable; urgency=medium

  * Merge scheduler bug fix from git-annex.
  * Support for provisioning hosts with ssh and gpg keys.
  * Obnam support.
  * Apache support.
  * Postfix satellite system support.


=== debian/control ===
Source: propellor
Section: admin
Priority: optional
Build-Depends: 
	debhelper (>= 9),
	ghc (>= 7.4),
	cabal-install,
	libghc-async-dev,
	libghc-missingh-dev,
	libghc-hslogger-dev,
	libghc-unix-compat-dev,
	libghc-ansi-terminal-dev,
	libghc-ifelse-dev,
	libghc-network-dev,
	libghc-quickcheck2-dev,
	libghc-mtl-dev,
	libghc-monadcatchio-transformers-dev,
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.9.5
Vcs-Git: git://git.kitenet.net/propellor
Homepage: http://joeyh.name/code/propellor/

Package: propellor
Architecture: any
Section: admin
Depends: ${misc:Depends}, ${shlibs:Depends},
	ghc (>= 7.4),
	cabal-install,
	libghc-async-dev,
	libghc-missingh-dev,
	libghc-hslogger-dev,
	libghc-unix-compat-dev,
	libghc-ansi-terminal-dev,
	libghc-ifelse-dev,
	libghc-network-dev,
	libghc-quickcheck2-dev,
	libghc-mtl-dev,
	libghc-monadcatchio-transformers-dev,
	git,
Description: property-based host configuration management in haskell
 Propellor enures that the system it's run in satisfies a list of
 properties, taking action as necessary when a property is not yet met.
 .
 It is configured using haskell.

=== debian/rules ===
#!/usr/bin/make -f

# Avoid using cabal, as it writes to $HOME
export CABAL=./Setup

%:
	dh $@

override_dh_auto_build:
	$(MAKE) build
override_dh_installdocs:
	dh_installdocs doc/README.mdwn
override_dh_installman:
	dh_installman debian/propellor.1

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/propellor/doc/news

## propellor 0.9.1

=== debian/changelog ===
propellor (0.9.1) unstable; urgency=medium

  * Docker: Add ability to control when containers restart.
  * Docker: Default to always restarting containers, so they come back 
    up after reboots and docker daemon upgrades.
  * Fix loop when a docker host that does not exist was docked.

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Oct 2014 09:57:31 -0400

propellor (0.9.0) unstable; urgency=medium

  * Avoid encoding the current stable suite in propellor's code,
    since that poses a difficult transition around the release,
    and can easily be wrong if an older version of propellor is used.
    Instead, the os property for a stable system includes the suite name
    to use, eg Stable "wheezy".
  * stdSourcesList uses the stable suite name, to avoid unwanted
    immediate upgrades to the next stable release.
  * debCdn switched from cdn.debian.net to http.debian.net, which seems to be
    better managed now.
  * Docker: Avoid committing container every time it's started up.

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Oct 2014 11:37:45 -0400

propellor (0.8.3) unstable; urgency=medium

  * The Debian package now includes a single-revision git repository in
    /usr/src/propellor/, and ~/.propellor/ is set up to use this repository as
    its origin remote. This avoids relying on the security of the github
    repository when using the Debian package.
  * The /usr/bin/propellor wrapper will warn when ~/.propellor/ is out of date
    and a newer version is available, after which git merge upstream/master
    can be run to merge it.
  * Included the config.hs symlink to config-simple.hs in the cabal and Debian
    packages.

 -- Joey Hess <joeyh@debian.org>  Fri, 22 Aug 2014 13:02:01 -0400

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Build-Depends: 
 	debhelper (>= 9),
+	git,
 	ghc (>= 7.4),
 	cabal-install,
 	libghc-async-dev,
@@ -18,7 +19,7 @@
 Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.9.5
 Vcs-Git: git://git.kitenet.net/propellor
-Homepage: http://joeyh.name/code/propellor/
+Homepage: http://propellor.branchable.com/
 
 Package: propellor
 Architecture: any

## propellor 0.9.1+rpi1

=== Makefile ===
--- 
+++ 
@@ -22,9 +22,19 @@
 install:
 	install -d $(DESTDIR)/usr/bin $(DESTDIR)/usr/src/propellor
 	install -s dist/build/propellor/propellor $(DESTDIR)/usr/bin/propellor
+	mkdir -p dist/gittmp
 	$(CABAL) sdist
-	cat dist/propellor-*.tar.gz | \
-		(cd $(DESTDIR)/usr/src/propellor && tar zx --strip-components=1)
+	cat dist/propellor-*.tar.gz | (cd dist/gittmp && tar zx --strip-components=1)
+	# cabal sdist does not preserve symlinks, so copy over file
+	cd dist/gittmp && for f in $$(find -type f); do rm -f $$f; cp -a ../../$$f $$f; done
+	cd dist/gittmp && git init && \
+		git config user.email "make@file" && \
+		git config user.name "makefile" && \
+		git add . \
+		&& git commit -q -m "distributed version of propellor" \
+		&& git bundle create $(DESTDIR)/usr/src/propellor/propellor.git master HEAD \
+		&& git show-ref master --hash > $(DESTDIR)/usr/src/propellor/head
+	rm -rf dist/gittmp
 
 clean:
 	rm -rf dist Setup tags propellor privdata/local

=== debian/changelog ===
propellor (0.9.1+rpi1) jessie-staging; urgency=medium

  * set git user.name and user.email to prevent build on systems without a 
    "domain".

 -- Peter Michael Green <plugwash@raspbian.org>  Fri, 27 Feb 2015 04:38:10 +0000

## propellor 0.9.2

=== Makefile ===
--- 
+++ 
@@ -28,8 +28,6 @@
 	# cabal sdist does not preserve symlinks, so copy over file
 	cd dist/gittmp && for f in $$(find -type f); do rm -f $$f; cp -a ../../$$f $$f; done
 	cd dist/gittmp && git init && \
-		git config user.email "make@file" && \
-		git config user.name "makefile" && \
 		git add . \
 		&& git commit -q -m "distributed version of propellor" \
 		&& git bundle create $(DESTDIR)/usr/src/propellor/propellor.git master HEAD \

=== debian/changelog ===
propellor (0.9.2) unstable; urgency=medium

  * Added nginx module, contributed by Félix Sipma.
  * Added firewall module, contributed by Arnaud Bailly.
  * Apache: Fix daemon reload when enabling a new module or site.
  * Docker: Stop using docker.io; that was a compat symlink in
    the Debian package which has been removed in docker.io 1.3.1~dfsg1-2.
  * Orphaned the Debian package, as I am retiring from Debian.

 -- Joey Hess <joeyh@debian.org>  Sat, 08 Nov 2014 15:57:36 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	libghc-quickcheck2-dev,
 	libghc-mtl-dev,
 	libghc-monadcatchio-transformers-dev,
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.9.5
 Vcs-Git: git://git.kitenet.net/propellor
 Homepage: http://propellor.branchable.com/

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 override_dh_installdocs:
 	dh_installdocs doc/README.mdwn
 override_dh_installman:
-	dh_installman debian/propellor.1
+	dh_installman propellor.1
 
 # Not intended for use by anyone except the author.
 announcedir:

## propellor 2.16.0

=== Makefile ===
CABAL?=cabal
DATE := $(shell dpkg-parsechangelog | grep Date | cut -d " " -f2-)

# this target is provided (and is first) to keep old versions of the
# propellor cron job working, and will eventually be removed
run: build
	./propellor

build: tags propellor.1 dist/setup-config
	$(CABAL) build
	ln -sf dist/build/propellor-config/propellor-config propellor

install:
	install -d $(DESTDIR)/usr/bin $(DESTDIR)/usr/src/propellor
	install -s dist/build/propellor/propellor $(DESTDIR)/usr/bin/propellor
	mkdir -p dist/gittmp
	$(CABAL) sdist
	cat dist/propellor-*.tar.gz | (cd dist/gittmp && tar zx --strip-components=1)
	# cabal sdist does not preserve symlinks, so copy over file
	cd dist/gittmp && for f in $$(find -type f); do rm -f $$f; cp -a ../../$$f $$f; done
	# reset mtime on files in git bundle so bundle is reproducible
	find dist/gittmp -print0 | xargs -0r touch --no-dereference --date="$(DATE)"
	export GIT_AUTHOR_NAME=build \
	&& export GIT_AUTHOR_EMAIL=build@buildhost \
	&& export GIT_AUTHOR_DATE="$(DATE)" \
	&& export GIT_COMMITTER_NAME=build \
	&& export GIT_COMMITTER_EMAIL=build@buildhost \
	&& export GIT_COMMITTER_DATE="$(DATE)" \
	&& cd dist/gittmp && git init \
	&& git add . \
	&& git commit -q -m "distributed version of propellor" \
	&& git bundle create $(DESTDIR)/usr/src/propellor/propellor.git master HEAD \
	&& git show-ref master --hash > $(DESTDIR)/usr/src/propellor/head
	rm -rf dist/gittmp

clean:
	rm -rf dist Setup tags propellor propellor.1 privdata/local
	find -name \*.o -exec rm {} \;
	find -name \*.hi -exec rm {} \;

# hothasktags chokes on some template haskell etc, so ignore errors
# duplicate tags with Propellor.Property. removed from the start, as we
# often import qualified by just the module base name.
tags:
	find . | grep -v /.git/ | grep -v /tmp/ | grep -v /dist/ | grep -v /doc/ | egrep '\.hs$$' | xargs hothasktags 2>/dev/null | perl -ne 'print; s/Propellor\.Property\.//; print' | sort > tags || true

dist/setup-config: propellor.cabal
	@if [ "$(CABAL)" = ./Setup ]; then ghc --make Setup; fi
	@$(CABAL) configure

propellor.1: doc/usage.mdwn doc/mdwn2man
	doc/mdwn2man propellor 1 < doc/usage.mdwn > propellor.1

# Upload to hackage.
hackage:
	@cabal sdist
	@cabal upload dist/*.tar.gz

.PHONY: tags

=== debian/changelog ===
propellor (2.16.0-1) unstable; urgency=medium

  * New upstream version.
  * Create changelog symlink with dh_link instead of in debian/rules.
    In accordance with policy 12.3: a package cannot assume the existence of
    /usr/share/doc.
  * Bump standards version to 3.9.7 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 28 Feb 2016 17:02:24 -0700

propellor (2.16.0) unstable; urgency=medium

  * Obnam: Only let one backup job run at a time when a host has multiple
    different backup properties, to avoid concurrent jobs fighting over
    scarce resources (particularly memory). Other jobs block on a lock
    file.
  * Removed references to a Debian derivative from code and documentation
    because of an unfortunate trademark use policy.
    http://joeyh.name/blog/entry/trademark_nonsense/
  * That included changing a data constructor to "Buntish", an API change.
  * Firewall.rule: Now takes a Table parameter. (API change)
  * Firewall: add InIFace/OutIFace Rules, add Source/Destination Rules,
    add CustomTarget, and more improvements.
    Thanks, Félix Sipma.
  * Ssh.authorizedKey: Fix bug preventing it from working when the
    authorized_keys file does not yet exist.
  * Removed Ssh.unauthorizedKey and made Ssh.authorizedKey revertable.
    (API change)

 -- Joey Hess <id@joeyh.name>  Sat, 27 Feb 2016 13:31:57 -0400

propellor (2.15.4-1) unstable; urgency=medium

  * New upstream version.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 13 Feb 2016 11:52:53 -0700

propellor (2.15.4) unstable; urgency=medium

  * Build /usr/src/propellor/propellor.git reproducibly,
    which makes the whole Debian package build reproducibly.
    Thanks, Sean Whitton.
  * Obnam: To cause old generations to be forgotten, keepParam can be
    passed to a backup property; this causes obnam forget to be run.
  * Delete /etc/apt/apt.conf.d/50unattended-upgrades.ucf-dist when
    unattended-upgrades is installed, to work around #812380 which results
    in many warnings from apt, including in cron mails.
  * Added Propellor.Property.LetsEncrypt
  * Apache.httpsVirtualHost: New property, setting up a https vhost
    with the certificate automatically obtained using letsencrypt.
  * Allow using combineProperties and propertyList with lists of
    RevertableProperty.

 -- Joey Hess <id@joeyh.name>  Thu, 11 Feb 2016 12:49:10 -0400

propellor (2.15.3-1) unstable; urgency=medium

  * New upstream version.
  * Fix override of Lintian tag debian-watch-may-check-gpg-signature.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 12 Jan 2016 19:41:07 -0700

propellor (2.15.3) unstable; urgency=medium

  * Added Git.bareRepoDefaultBranch property
    Thanks, Sean Whitton.
  * Add missing Control.Applicative imports needed by older versions of ghc.

 -- Joey Hess <id@joeyh.name>  Tue, 12 Jan 2016 12:37:22 -0400

propellor (2.15.2-1) unstable; urgency=medium

  * New upstream version.
  * Fix duplicate Section: in debian/control file.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 04 Jan 2016 12:14:47 +0000

propellor (2.15.2) unstable; urgency=medium

  * Added GNUPGBIN environment variable or git.program git config
    to control the command run for gpg. Allows eg, GNUPGBIN=gpg2
    Thanks, Félix Sipma.
  * Bootstrap apt-get installs run with deconf noninteractive frontend.
  * spin --via: Avoid committing on relay host.
  * Postfix: Add service property to enable/disable services in master.cf.
  * Added Munin module, contributed by Jelmer Vernooij.

 -- Joey Hess <id@joeyh.name>  Sun, 03 Jan 2016 16:56:26 -0400

propellor (2.15.1-1) unstable; urgency=medium

  * New upstream version.
  * Add watch file.
  * Fix specification of packaging branch in Vcs-Git: variable.
  * Silence xargs during package build when hothasktags is not installed.
    Patch accepted upstream for next upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 03 Jan 2016 17:05:27 +0000

propellor (2.15.1) unstable; urgency=medium

  * Added git configs propellor.spin-branch and propellor.forbid-dirty-spin.
    Thanks, Sean Whitton.
  * Added User.systemAccountFor and User.systemAccountFor' properties.
    Thanks, Félix Sipma.
  * Gpg.keyImported converted to not use a flag file and instead check
    if gpg has the provided key already.
    Thanks, Félix Sipma.
  * Clean build with ghc 7.10.
  * Merged Utility changes from git-annex.

 -- Joey Hess <id@joeyh.name>  Sat, 19 Dec 2015 16:43:09 -0400

propellor (2.15.0-1) unstable; urgency=medium

  * Adopt propellor package (Closes: #768634).
  * Switch dpkg-source format to 3.0 (quilt).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 13 Dec 2015 11:33:02 -0700

propellor (2.15.0) unstable; urgency=medium

  * Added UncheckedProperty type, along with unchecked to indicate a
    Property needs its result checked, and checkResult and changesFile
    to check for changes.
  * Properties that run an arbitrary command, such as cmdProperty
    and scriptProperty are converted to use UncheckedProperty, since
    they cannot tell on their own if the command truely made a change or not.
    (API Change)
    Transition guide:
    - When GHC complains about an UncheckedProperty, add:
    	`assume` MadeChange
      (Since these properties used to always return MadeChange, that
      change is always safe to make.)
    - Or, if you know that the command should modifiy a file, use:
    	`changesFile` filename
  * The `trivial` combinator has been removed. (API change)
    Instead, use:
    	`assume` NoChange
    Or, better, use changesFile or checkResult to accurately report
    when a property makes a change.
  * A few properties have had their Result improved, for example
    Apt.buldDep and Apt.autoRemove now check if a change was made or not.
  * User.hasDesktopGroups changed to avoid trying to add the user to
    groups that don't exist.
  * Added Postfix.saslPasswdSet.
  * Added Propellor.Property.Locale.
    Thanks, Sean Whitton.


=== debian/control ===
Source: propellor
Section: admin
Priority: optional
Build-Depends: 
	debhelper (>= 9),
	git,
	ghc (>= 7.6),
	cabal-install,
	libghc-async-dev,
	libghc-missingh-dev,
	libghc-hslogger-dev,
	libghc-unix-compat-dev,
	libghc-ansi-terminal-dev,
	libghc-ifelse-dev,
	libghc-network-dev,
	libghc-mtl-dev,
	libghc-transformers-dev,
	libghc-exceptions-dev (>= 0.6),
	libghc-stm-dev,
	libghc-text-dev,
Maintainer: Sean Whitton <spwhitton@spwhitton.name>
Standards-Version: 3.9.7
Homepage: https://propellor.branchable.com/
Vcs-Git: https://git.spwhitton.name/propellor -b debian
Vcs-Browser: https://git.spwhitton.name/?p=propellor.git;a=summary

Package: propellor
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	ghc (>= 7.4),
	cabal-install,
	libghc-async-dev,
	libghc-missingh-dev,
	libghc-hslogger-dev,
	libghc-unix-compat-dev,
	libghc-ansi-terminal-dev,
	libghc-ifelse-dev,
	libghc-network-dev,
	libghc-mtl-dev,
	libghc-transformers-dev,
	libghc-exceptions-dev (>= 0.6),
	libghc-stm-dev,
	libghc-text-dev,
	git,
	make,
Description: property-based host configuration management in haskell
 Propellor ensures that the system it's run in satisfies a list of
 properties, taking action as necessary when a property is not yet met.
 .
 It is configured using haskell.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,5 @@
 	dh_installdocs doc/README.mdwn
 override_dh_installman:
 	dh_installman propellor.1
-
-# Not intended for use by anyone except the author.
-announcedir:
-	@echo ${HOME}/src/propellor/doc/news
+override_dh_installchangelogs:
+	dh_installchangelogs -XCHANGELOG

## propellor 3.1.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CABAL?=cabal
-DATE := $(shell dpkg-parsechangelog | grep Date | cut -d " " -f2-)
+DATE := $(shell dpkg-parsechangelog 2>/dev/null | grep Date | cut -d " " -f2-)
 
 # this target is provided (and is first) to keep old versions of the
 # propellor cron job working, and will eventually be removed

=== debian/changelog ===
propellor (3.1.0-2) unstable; urgency=medium

  * Add 0004-pass-allow-unrelated-histories-to-git-merge.patch (Closes: #834895)
    Thanks to Fred Picca for reporting the problem.
    - Tighten dependency on git to >= 1:2.9 for --allow-unrelated-histories

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 20 Aug 2016 08:20:17 -0700

propellor (3.1.0-1) unstable; urgency=medium

  * Package new upstream release.
  * Add 0002-dpkg-mergechangelogs.patch to facilitate uploading with dgit.
    Adding this patch ensures that HEAD matches the unpacked source package.
  * Add README.source.
  * Add 0003-fix-ccache-haddock.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 23 Jun 2016 18:31:41 +0900

propellor (3.1.0) unstable; urgency=medium

  * Architecture changed from String to an ADT. (API Change)
    Transition guide: Change "amd64" to X86_64, "i386" to X86_32,
    "armel" to ARMEL, etc.
    Thanks, Félix Sipma.
  * The Debian data type now includes a DebianKernel. (API Change)
    This won't affect most config.hs, as osDebian defaults to
    Linux. Added osDebian' can be used to specify a different kernel.
    Thanks, Félix Sipma.
  * Improve exception handling. A property that threw a non-IOException
    used to stop the whole propellor run. Now, all non-async exceptions
    only make the property that threw them fail. (Implicit API change)
  * Added StopPropellorException and stopPropellorMessage which can be
    used in the unusual case where a failure of one property should stop
    propellor from trying to ensure any other properties.
  * tryPropellor returns Either SomeException instead of Either IOException
    (API change)
  * Switch letsencrypt to certbot package name.
  * Sbuild: Add keyringInsecurelyGenerated which is useful on throwaway
    build VMs.
    Thanks, Sean Whitton
  * Added Propellor.Property.SiteSpecific.Exoscale.
    Thanks, Sean Whitton
  * Property.Reboot: Added toDistroKernel and toKernelNewerThan.
    Thanks, Sean Whitton
  * Added ConfFile.hasIniSection.
    Thanks, Félix Sipma.
  * Apt.install: When asked to install a package that apt does not know
    about, it used to incorrectly succeed. Now it will fail.
  * Property.Firejail: New module.
    Thanks, Sean Whitton
  * File: Write privdata files in binary rather than text, which avoids
    failure when they do not contain valid unicode.
    Thanks, Andrew Schurman
  * Generalized fileProperty can now operate on a file as either a series
    of lines, or a ByteString.

  [ Sean Whitton ]
  * New info property Schroot.useOverlays to indicate whether you want schroots
    set up by propellor to use the Linux kernel's OverlayFS.
  * Schroot.overlaysInTmpfs sets Schroot.useOverlays info property.
  * If you have indicated that you want schroots to use OverlayFS and the
    current kernel does not support it, Sbuild.built will attempt to reboot
    into a kernel that does, or fail if it can't find one.
  * Sbuild.built will no longer add duplicate `aliases=UNRELEASED,sid...` lines
    to more than one schroot config. It will not remove any such lines that the
    previous version of propellor added, though.
  * Sbuild.keypairGenerated works around Debian bug #792100 by creating the
    directory /root/.gnupg in advance.
  * Ccache.hasCache now sets the setgid bit on the cache directory, as 
    ccache requires.

 -- Joey Hess <id@joeyh.name>  Wed, 22 Jun 2016 15:29:27 -0400

propellor (3.0.5-1) unstable; urgency=medium

  * Package new upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 10 Jun 2016 15:21:47 +0900

propellor (3.0.5) unstable; urgency=medium

  * Modules added for Sbuild and Ccache.
    Thanks, Sean Whitton
  * Systemd: Added killUserProcesses property, which can be reverted
    to return systemd to its default behavior before version 230 started
    killing processes like screen sessions.
  * Systemd: Added logindConfigured property.

 -- Joey Hess <id@joeyh.name>  Mon, 06 Jun 2016 17:13:21 -0400

propellor (3.0.4-1) unstable; urgency=medium

  * Package new upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 24 May 2016 15:34:24 +0900

propellor (3.0.4) unstable; urgency=medium

  * Run letsencrypt with --noninteractive.
  * Fix build with ghc 8.0.1.
    Thanks, davean.
  * Module added for the Borg backup system.
    Thanks, Félix Sipma.
  * Fix build with directory-1.2.6.2.

 -- Joey Hess <id@joeyh.name>  Sun, 22 May 2016 15:54:49 -0400

propellor (3.0.3-2) unstable; urgency=medium

  * Use CDBS & haskell-devscripts to build new binary packages
    libghc-propellor-{dev,prof,doc}.
  * Add X-Description: field to debian/control.
  * Add patch removing README.Debian from propellor.cabal.
  * Re-arrange files in debian/ to deal with multiple binary packages.
    - Use debian/propellor.manpages and debian/propellor.docs instead of
      overrides in debian/rules.
    - Add Lintian overrides duplicate-{short,long}-description.
    - Rename README.Debian, lintian-overrides to correspond to particular
      binary packages.
    - Add libghc-propellor-{dev,prof,doc}.links duplicating propellor.links.
  * Binary package propellor now depends on libghc-propellor-dev.
    This fixes using propellor as a library, as set up by propellor --init
    option B.  Closes:
    https://propellor.branchable.com/todo/propellor_--init_option_B_failure/
  * Update Source: field and copyright year in debian/copyright.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 May 2016 10:59:53 -0700

propellor (3.0.3-1) unstable; urgency=medium

  * Package new upstream release.
  * Bump standards version to 3.9.8 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 01 May 2016 17:12:29 -0700

propellor (3.0.3) unstable; urgency=medium

  * Remove Propellor.DotDir from the propellor library, as its use of
    Paths_propellor prevents use of the module out of propellor's tree.
    This module is only needed for the wrapper program anyway, which


## propellor 3.2.3

=== Makefile ===
--- 
+++ 
@@ -51,9 +51,4 @@
 propellor.1: doc/usage.mdwn doc/mdwn2man
 	doc/mdwn2man propellor 1 < doc/usage.mdwn > propellor.1
 
-# Upload to hackage.
-hackage:
-	@cabal sdist
-	@cabal upload dist/*.tar.gz
-
 .PHONY: tags

=== debian/changelog ===
propellor (3.2.3-1) unstable; urgency=medium

  * Package new upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 22 Nov 2016 14:16:29 -0700

propellor (3.2.3) unstable; urgency=medium

  * Improve extraction of gpg secret key id list, to work with gpg 2.1.
  * The propellor wrapper checks if ./config.hs exists; if so it runs
    using the configuration in the current directory, rather than
    ~/.propellor/config.hs
  * Debootstap: Fix too tight permissions lock down of debootstrapped
    chroots, which prevented non-root users from doing anything in the
    chroot.

 -- Joey Hess <id@joeyh.name>  Tue, 22 Nov 2016 11:36:18 -0400

propellor (3.2.2-1) unstable; urgency=medium

  * Package new upstream release.
  * Add two overrides for spelling-error-in-binary in libghc-propellor-dev.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 13 Nov 2016 20:47:44 -0700

propellor (3.2.2) unstable; urgency=medium

  * Added Linode.serialGrub property.
  * Clean up build warnings about redundant constraints when built with ghc 8.0.
  * Added Group.hasUser property. Thanks, Daniel Brooks

 -- Joey Hess <id@joeyh.name>  Fri, 11 Nov 2016 17:54:44 -0400

propellor (3.2.1-1) unstable; urgency=medium

  * Package new upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 08 Oct 2016 08:52:57 -0700

propellor (3.2.1) unstable; urgency=medium

  * Simplify Debootstrap.sourceInstall since #770217 was fixed.
  * Debootstap.installed: Fix inverted logic that made this never install
    debootstrap. Thanks, mithrandi.

 -- Joey Hess <id@joeyh.name>  Mon, 03 Oct 2016 18:06:31 -0400

propellor (3.2.0-1) unstable; urgency=medium

  * Package new upstream release.
  * Drop no-upstream-changelog libghc-propellor-doc Lintian override.
    Obsoleted by new haskell-devscripts.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 10 Sep 2016 18:55:56 -0700

propellor (3.2.0) unstable; urgency=medium

  [ Sean Whitton ]
  * Using ccache with Sbuild.built & Sbuild.builtFor is now toggleable: these
    properties now take a parameter of type Sbuild.UseCcache.  (API Change)
  * Sbuild.piupartsConf: no longer takes an Apt.Url. (API Change)
  * Sbuild.piupartsConf & Sbuild.piupartsConfFor: does nothing if corresponding
    schroot not built.
    Previously, these properties built the schroot if it was missing.
  * Sbuild.built & Sbuild.piupartsConf: add an additional alias to sid chroots.
    This is for compatibility with `dgit sbuild`.
  * Further improvements to Sbuild.hs haddock.

  [ Joey Hess ]
  * Tor.hiddenService: Converted port parameter from Int to Port. (API change)
  * Tor.hiddenServiceAvailable: The hidden service hostname file may not
    be available immedaitely after configuring tor; avoid ugly error in
    this case.

 -- Joey Hess <id@joeyh.name>  Sat, 10 Sep 2016 11:39:40 -0400

propellor (3.1.2-2) unstable; urgency=medium

  * Re-upload including orig.tar
  * Update README.source about -v_

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 05 Sep 2016 17:10:44 -0700

propellor (3.1.2-1) unstable; urgency=medium

  * Package new upstream release.
  * Drop patches obsoleted by upstream changes:
    - 0001-remove-README.Debian-from-propellor.cabal.patch
    - 0003-fix-ccache-haddock.patch
    - 0004-pass-allow-unrelated-histories-to-git-merge.patch.
  * Drop some unused lintian overrides.
  * Override binary-or-shlib-defines-rpath for -dev package.
    Standard libghc override.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 05 Sep 2016 10:24:17 -0700

propellor (3.1.2) unstable; urgency=medium

  [ Joey Hess ]
  * Ssh.knownHost: Bug fix: Only fix up the owner of the known_hosts
    file after it exists.

  [ Sean Whitton ]
  * Sbuild.keypairInsecurelyGenerated: Improved to be more robust.
  * Pass --allow-unrelated-histories to git merge when run with git 2.9 or
    newer. This fixes the /usr/bin/propellor wrapper with this version of git.
  * Sbuild.built & Sbuild.builtFor no longer require Sbuild.keypairGenerated.
    Transition guide: If you are using sbuild 0.70.0 or newer, you should
    `rm -r /var/lib/sbuild/apt-keys`.  Otherwise, you should add either
    Sbuild.keypairGenerated or Sbuild.keypairInsecurelyGenerated to your host.
  * Sbuild haddock improvements:
    - State that we don't support squeeze and Buntish older than trusty.
      This is due to our enhancements, such as eatmydata.
    - State that you need sbuild 0.70.0 or newer to build for stretch.
      This is due to gpg2 hitting Debian stretch.
    - Explain when a keygen is required.
    - Update sample ~/.sbuildrc for sbuild 0.71.0.
    - Add hint for customising chroots with propellor.
    - Update example usage of System type.

 -- Joey Hess <id@joeyh.name>  Sun, 28 Aug 2016 14:39:23 -0400

propellor (3.1.1) unstable; urgency=medium

  * Haddock build fix.
    Thanks, Sean Whitton

 -- Joey Hess <id@joeyh.name>  Thu, 23 Jun 2016 08:12:57 -0400

=== debian/control ===
Source: propellor
Section: admin
Priority: optional
Build-Depends:
 cabal-install,
 cdbs,
 debhelper (>= 9),
 ghc (>= 7.6),
 git,
 haskell-devscripts,
 libghc-ansi-terminal-dev,
 libghc-ansi-terminal-prof,
 libghc-async-dev,
 libghc-async-prof,
 libghc-concurrent-output-dev,
 libghc-concurrent-output-prof,
 libghc-exceptions-dev (>= 0.6),
 libghc-exceptions-prof (>= 0.6),
 libghc-hslogger-dev,
 libghc-hslogger-prof,
 libghc-ifelse-dev,
 libghc-ifelse-prof,
 libghc-missingh-dev,
 libghc-missingh-prof,
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-network-dev,
 libghc-network-prof,
 libghc-stm-dev,
 libghc-stm-prof,
 libghc-text-dev,
 libghc-text-prof,
 libghc-transformers-dev,
 libghc-transformers-prof,
 libghc-unix-compat-dev,
 libghc-unix-compat-prof,
Maintainer: Sean Whitton <spwhitton@spwhitton.name>
Standards-Version: 3.9.8
Homepage: https://propellor.branchable.com/
Vcs-Git: https://git.spwhitton.name/propellor -b debian
Vcs-Browser: https://git.spwhitton.name/?p=propellor.git;a=summary
X-Description: property-based host configuration management in haskell
 Propellor ensures that the system it's run in satisfies a list of
 properties, taking action as necessary when a property is not yet met.
 .
 It is configured using haskell.
 .
 The easiest way to get started with propellor is to install the binary package
 `propellor' and run `propellor --init'.

Package: libghc-propellor-dev
Section: haskell
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-propellor-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-propellor-prof
Section: haskell
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: propellor
Architecture: any
Depends:
 cabal-install,
 ghc (>= 7.4),
 git (>= 1:2.9),
 libghc-ansi-terminal-dev,
 libghc-async-dev,
 libghc-concurrent-output-dev,
 libghc-exceptions-dev (>= 0.6),
 libghc-hslogger-dev,
 libghc-ifelse-dev,
 libghc-missingh-dev,
 libghc-mtl-dev,
 libghc-network-dev,
 libghc-propellor-dev,
 libghc-stm-dev,
 libghc-text-dev,
 libghc-transformers-dev,
 libghc-unix-compat-dev,
 make,
 ${misc:Depends},
 ${shlibs:Depends},
Description: property-based host configuration management in haskell
 Propellor ensures that the system it's run in satisfies a list of
 properties, taking action as necessary when a property is not yet met.
 .
 It is configured using haskell.

## propellor 4.7.6

=== debian/changelog ===
propellor (4.7.6-1) unstable; urgency=medium

  * Package new upstream release.
  * Bump debhelper compat to 10.
  * Bump std-ver to 4.0.1 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 17 Aug 2017 17:30:30 -0700

propellor (4.7.6) unstable; urgency=medium

  * Sbuild: Add Sbuild.userConfig property.
    Thanks, Sean Whitton
  * Locale: Make sure that the locales package is installed when enabling
    locales.

 -- Joey Hess <id@joeyh.name>  Tue, 01 Aug 2017 17:59:07 -0400

propellor (4.7.5) unstable; urgency=medium

  * Avoid crashing when getTerminalName fails due to eg, being in a chroot.

 -- Joey Hess <id@joeyh.name>  Tue, 01 Aug 2017 15:28:58 -0400

propellor (4.7.4) unstable; urgency=medium

  * Set GPG_TTY when run at a terminal, so that gpg can do password
    prompting despite being connected by pipes to propellor (or git).
  * Rsync: Make rsync display less verbose.
  * Improve PROPELLOR_TRACE output so serialized trace values always
    come on their own line, not mixed with title setting.

 -- Joey Hess <id@joeyh.name>  Tue, 01 Aug 2017 13:30:54 -0400

propellor (4.7.3) unstable; urgency=medium

  * Expand the Trace data type.

 -- Joey Hess <id@joeyh.name>  Sat, 29 Jul 2017 17:26:32 -0400

propellor (4.7.2) unstable; urgency=medium

  * Added PROPELLOR_TRACE environment variable, which can be set to 1 to
    make propellor output serialized Propellor.Message.Trace values,
    for consumption by another program.
  * Rsync: Make rsync display its progress, in a minimal format to avoid
    scrolling each file down the screen.

 -- Joey Hess <id@joeyh.name>  Sat, 29 Jul 2017 15:49:00 -0400

propellor (4.7.1) unstable; urgency=medium

  * Added Mount.isMounted.
  * Grub.bootsMounted: Bugfix.

 -- Joey Hess <id@joeyh.name>  Fri, 28 Jul 2017 22:22:40 -0400

propellor (4.7.0) unstable; urgency=medium

  * Add Apt.proxy property to set a host's apt proxy.
    Thanks, Sean Whitton.
  * Add Apt.useLocalCacher property to set up apt-cacher-ng.
    Thanks, Sean Whitton.
  * Rework Sbuild properties to use apt proxies/cachers instead of
    bind-mounting the host's apt cache. This makes it possible to run more
    than one build at a time, and lets sbuild run even if apt's cache is
    locked by the host's apt.
    Thanks, Sean Whitton.
  * Sbuild: When Apt.proxy is set, it is assumed that the proxy does some
    sort of caching, and sbuild chroots are set up to use the same proxy.
  * Sbuild: When Apt.proxy is not set, install apt-cacher-ng, and point
    sbuild chroots at the local apt cacher.
  * Sbuild: Droped Sbuild.piupartsConfFor, Sbuild.piupartsConf,
    Sbuild.shareAptCache
    (API change)
    No longer needed now that we are using apt proxies/cachers.
  * Sbuild: Updated sample config in haddock for Propellor.Property.Sbuild.
    If you use this module, please compare both your config.hs and
    your ~/.sbuildrc with the haddock documentation.
  * Grub.bootsMounted: Avoid failing when proc sys etc are already mounted
    within the chroot.

 -- Joey Hess <id@joeyh.name>  Fri, 28 Jul 2017 20:42:35 -0400

propellor (4.6.2) unstable; urgency=medium

  * Systemd.nspawned: Recent systemd versions such as 234 ignore
    non-symlinks in /etc/systemd/system/multi-user.target.wants,
    which was used to configure systemd-nspawn parameters. Instead,
    use a service.d/local.conf file to configure that.
  * Grub: Added bootsMounted property, a generalization of
    DiskImage.grubBooted

 -- Joey Hess <id@joeyh.name>  Fri, 28 Jul 2017 15:48:32 -0400

propellor (4.6.1) unstable; urgency=medium

  * Added Network.dhcp' and Network.static', which allow specifying
    additional options for interfaces files.
  * Fix build failure on ghc-8.2.1
    Thanks, Sergei Trofimovich.
  * DiskImage: Fix strictness bug in .parttable read/write sequence.

 -- Joey Hess <id@joeyh.name>  Thu, 27 Jul 2017 09:17:32 -0400

propellor (4.6.0) unstable; urgency=medium

  * Add Typeable instance to Bootstrapper, fixing build with old versions
    of ghc.
  * Network.static changed to take address and gateway parameters.
    If you used the old Network.static property, it has been renamed to
    Network.preserveStatic.
    (Minor API change)

 -- Joey Hess <id@joeyh.name>  Wed, 26 Jul 2017 20:02:50 -0400

propellor (4.5.2) unstable; urgency=medium

  * Added Rsync.installed property.
  * Added DiskImage.vmdkBuiltFor property which is useful for booting
    a disk image in VirtualBox.

 -- Joey Hess <id@joeyh.name>  Tue, 25 Jul 2017 17:58:46 -0400

propellor (4.5.1) unstable; urgency=medium

  * Reboot.toKernelNewerThan: If running kernel is new enough, avoid
    looking at what kernels are installed.
    Thanks, Sean Whitton.
  * DiskImage: Avoid re-partitioning disk image unncessarily, for a large
    speedup.

 -- Joey Hess <id@joeyh.name>  Tue, 25 Jul 2017 15:51:33 -0400

propellor (4.5.0) unstable; urgency=medium

  * Generalized the PartSpec DSL, so it can be used for both
    disk image partitioning, and disk device partitioning, with
    different partition sizing methods as appropriate for the different
    uses. (minor API change)
  * Propellor.Property.Parted: Added calcPartTable function which uses
    PartSpec DiskPart, and a useDiskSpace combinator.
  * Generate a better description for versioned properties.

 -- Joey Hess <id@joeyh.name>  Fri, 21 Jul 2017 16:40:13 -0400

propellor (4.4.0) unstable; urgency=medium

  * Propellor.Property.Timezone: New module, contributed by Sean Whitton.
  * Propellor.Property.Sudo.enabledFor: Made revertable.
    (minor API change)
  * Propellor.Property.LightDM.autoLogin: Made revertable.
    (minor API change)
  * Propellor.Property.Conffile: Added lacksIniSetting.

 -- Joey Hess <id@joeyh.name>  Mon, 17 Jul 2017 12:55:02 -0400

propellor (4.3.4) unstable; urgency=medium

  * Propellor.Property.Versioned: New module which allows different
    versions of a property or host to be written down in a propellor config


=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends:
  cabal-install,
  cdbs,
- debhelper (>= 9),
+ debhelper (>= 10),
  ghc (>= 7.6),
  git,
  haskell-devscripts,
@@ -16,16 +16,18 @@
  libghc-concurrent-output-prof,
  libghc-exceptions-dev (>= 0.6),
  libghc-exceptions-prof (>= 0.6),
+ libghc-hashable-dev,
+ libghc-hashable-prof,
  libghc-hslogger-dev,
  libghc-hslogger-prof,
  libghc-ifelse-dev,
  libghc-ifelse-prof,
- libghc-missingh-dev,
- libghc-missingh-prof,
  libghc-mtl-dev,
  libghc-mtl-prof,
  libghc-network-dev,
  libghc-network-prof,
+ libghc-split-dev,
+ libghc-split-prof,
  libghc-stm-dev,
  libghc-stm-prof,
  libghc-text-dev,
@@ -35,10 +37,10 @@
  libghc-unix-compat-dev,
  libghc-unix-compat-prof,
 Maintainer: Sean Whitton <spwhitton@spwhitton.name>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://propellor.branchable.com/
 Vcs-Git: https://git.spwhitton.name/propellor -b debian
-Vcs-Browser: https://git.spwhitton.name/?p=propellor.git;a=summary
+Vcs-Browser: https://git.spwhitton.name/propellor
 X-Description: property-based host configuration management in haskell
  Propellor ensures that the system it's run in satisfies a list of
  properties, taking action as necessary when a property is not yet met.
@@ -114,17 +116,17 @@
  libghc-async-dev,
  libghc-concurrent-output-dev,
  libghc-exceptions-dev (>= 0.6),
+ libghc-hashable-dev,
  libghc-hslogger-dev,
  libghc-ifelse-dev,
- libghc-missingh-dev,
  libghc-mtl-dev,
  libghc-network-dev,
  libghc-propellor-dev,
+ libghc-split-dev,
  libghc-stm-dev,
  libghc-text-dev,
  libghc-transformers-dev,
  libghc-unix-compat-dev,
- make,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: property-based host configuration management in haskell
